Skip to main content
PATCH
/
api
/
customers
/
{id}
Update a customer
curl --request PATCH \
  --url https://clarus-api.com/api/customers/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "data": {
    "type": "customers",
    "attributes": {
      "code": "ACME",
      "name": "Acme Retail Ltd",
      "shelf_life_min": 30,
      "shelf_life_max": 365
    }
  }
}
'
{
  "data": {
    "id": "1",
    "type": "customers",
    "attributes": {
      "code": "ACME",
      "name": "Acme Retail Ltd",
      "external_system_reference1": null,
      "external_system_reference2": null,
      "external_system_reference3": null,
      "shelf_life_min": 30,
      "shelf_life_max": 365
    }
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Path Parameters

id
integer
required

The unique identifier of the customer

Body

application/json
data
object
required

Response

Updated successfully

The response is of type object.